#
# TODO: - put icons to /usr/share/icons/hicolor instead of /usr/share/tgif/hicolor
#	- fix font opening
#
Summary:	tgif drawing package
Summary(ja.UTF-8):	対話的 2 次元描画を容易にする Xlib に基づいた X11 クライアント
Summary(pl.UTF-8):	tgif - pakiet do tworzenia grafiki 2D
Name:		tgif
Version:	4.2.5
Release:	2
License:	QPL
Group:		X11/Applications/Graphics
Source0:	ftp://bourbon.usc.edu/pub/tgif/%{name}-QPL-%{version}.tar.gz
# Source0-md5:	a622240ce2377f15b6d8261e4c49b8f6
Source1:	%{name}.ap.ja
Patch0:		%{name}-po.patch
Patch1:		format-security.patch
URL:		http://bourbon.usc.edu/tgif/
BuildRequires:	xorg-cf-files
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-util-imake
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
tgif is a drawing packages for X. It has better text and object
support than xfig, but is a little different to use.

%description -l pl.UTF-8
tgif jest programem do rysowania w 2D pod X Window. Ma lepsze wsparcie
dla tekstu i obiektów niż xfig, ale jest nieco trudniejszy w obsłudze.

%description -l ja.UTF-8
Tgif は対話的な 2 次元描画を容易にする Xlib に基づいた X11
クライアントです。描画の階層構造と描画の集合間の簡単な操作
をサポートしています。また WWW のパイパー・グラフィックス
(もしくはハイパー・ストラクチャード・グラフィックス)・ブラ ウザです。

%prep
%setup -q -n %{name}-QPL-%{version}
%patch0 -p1
%patch1 -p1

cp -f Tgif.tmpl-linux Tgif.tmpl

%build
xmkmf
%{__make} tgif \
	CC="%{__cc}" \
	MOREDEFINES="-DOVERTHESPOT -DUSE_XT_INITIALIZE -D_ENABLE_NLS \
	-DPRINT_CMD=\\\"lpr\\\" -DA4PAPER" \
	TGIFDIR="%{_datadir}/tgif" \
	LOCAL_LIBRARIES="-lXmu -lXt -lX11" \
	CDEBUGFLAGS="%{rpmcflags}"

cd po
xmkmf -a
%{__make} depend
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/X11{,/ja}/app-defaults

%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1 \
	TGIFDIR=%{_datadir}/tgif

install *.obj $RPM_BUILD_ROOT%{_datadir}/tgif

%{__make} -C po install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/tgif/tgif.Xdefaults \
	$RPM_BUILD_ROOT%{_datadir}/X11/app-defaults/Tgif
install %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/X11/ja/app-defaults/Tgif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README HISTORY Copyright
%attr(755,root,root) %{_bindir}/tgif
%{_datadir}/tgif
%{_mandir}/man1/tgif.1*
%{_datadir}/X11/app-defaults/Tgif
%lang(ja) %{_datadir}/X11/ja/app-defaults/Tgif
%changelog
* Thu Nov 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tgif.git;a=log;h=master

* Thu Nov 22 2018 Jan Rękorajski <baggins@pld-linux.org> e16c36c
- rebuild with libidn 1.35
- release 2 (by relup.sh)

* Sat Jan 25 2014 Jan Rękorajski <baggins@pld-linux.org> 6908fe4
- fix format string errors
- rel 1

* Sun Jul 03 2011 Jakub Bogusz <qboosh@pld-linux.org> c72bf61
- up to 4.2.5

* Tue Jun 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 4d2291f
- up to 4.2.4

* Fri May 27 2011 Jakub Bogusz <qboosh@pld-linux.org> a2bdbe7
- updated to 4.2.3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 28a470b
- dropped pre-cvs changelog

* Thu Nov 19 2009 lisu <lisu@pld-linux.org> 2e0a3e6
- no longer needed

* Thu Nov 19 2009 lisu <lisu@pld-linux.org> 072e636
- up to 4.2.2
- tgif-icons.patch applied upstream

* Wed Oct 14 2009 lisu <lisu@pld-linux.org> 04426b2
- updated fot 4.2.1

* Wed Oct 14 2009 lisu <lisu@pld-linux.org> ceae129
- up to 4.2.1

* Wed Oct 07 2009 lisu <lisu@pld-linux.org> 349966e
- adapter

* Wed Oct 07 2009 lisu <lisu@pld-linux.org> 6a7eaed
- use arch-dependent compiler

* Wed Oct 07 2009 lisu <lisu@pld-linux.org> 5c14f0f
- fix icon install

* Wed Oct 07 2009 lisu <lisu@pld-linux.org> 336dd22
- up to 4.2
- workaround for icons install
- TODO

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 97c1bf8
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e11418b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3e2e621
- converted to UTF-8

* Thu Oct 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 6ba26fb
- updated to 4.1.45
- switched to modular xorg

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 4721b76
- orphaned, outdated

* Wed Feb 16 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 66dd467
- updated to 4.1.44

